Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.rhino
[Java] Class RhinoShellExec

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.JavaExec
              org.gradle.plugins.javascript.rhino.RhinoShellExec

    public class RhinoShellExec
    extends JavaExec

Constructor Summary
`RhinoShellExec()`

Method Summary
`JavaExec` | `args(Object... args)`
`JavaExecSpec` | `args(Iterable args)`
`void` | `exec()`
`List` | `getArgs()`
`List` | `getRhinoOptions()`
`File` | `getScript()`
`List` | `getScriptArgs()`
`void` | `rhinoOptions(Object... rhinoOptions)`
`void` | `scriptArgs(Object... scriptArgs)`
`JavaExec` | `setArgs(Iterable applicationArgs)`
`void` | `setRhinoOptions(Object... rhinoOptions)`
`void` | `setScript(Object script)`
`void` | `setScriptArgs(Object... scriptArgs)`

Methods inherited from class JavaExec
args, args, bootstrapClasspath, classpath, copyTo, copyTo, environment, environment, exec, executable, getAllJvmArgs, getArgs, getBootstrapClasspath, getClasspath, getCommandLine, getDebug, getDefaultCharacterEncoding, getEnableAssertions, getEnvironment, getErrorOutput, getExecutable, getJvmArgs, getMain, getMaxHeapSize, getMinHeapSize, getStandardInput, getStandardOutput, getSystemProperties, getWorkingDir, isIgnoreExitValue, jvmArgs, jvmArgs, setAllJvmArgs, setArgs, setBootstrapClasspath, setClasspath, setDebug, setDefaultCharacterEncoding, setEnableAssertions, setEnvironment, setErrorOutput, setExecutable, setIgnoreExitValue, setJvmArgs, setMain, setMaxHeapSize, setMinHeapSize, setStandardInput, setStandardOutput, setSystemProperties, setWorkingDir, systemProperties, systemProperty, workingDir

Constructor Detail

### RhinoShellExec

    public RhinoShellExec()

Method Detail

### args

    @Override
    public JavaExec args(Object... args)

### args

    @Override
    public JavaExecSpec args(Iterable args)

### exec

    @Override
    public void exec()

### getArgs

    @Override
    @Input
    public List getArgs()

### getRhinoOptions

    public List getRhinoOptions()

### getScript

    @InputFile
    @Optional
    public File getScript()

### getScriptArgs

    public List getScriptArgs()

### rhinoOptions

    public void rhinoOptions(Object... rhinoOptions)

### scriptArgs

    public void scriptArgs(Object... scriptArgs)

### setArgs

    @Override
    public JavaExec setArgs(Iterable applicationArgs)

### setRhinoOptions

    public void setRhinoOptions(Object... rhinoOptions)

### setScript

    public void setScript(Object script)

### setScriptArgs

    public void setScriptArgs(Object... scriptArgs)

Gradle API 1.1-rc-1